FLANG

Public Member Functions | List of all members
Fortran::evaluate::CoarrayRef Class Reference

## Public Member Functions
| CoarrayRef (SymbolVector &&, std::vector< Subscript > &&, std::vector< Expr< SubscriptInteger >> &&)
const SymbolVector & | base () const
SymbolVector & | base ()
const std::vector< Subscript > & | subscript () const
std::vector< Subscript > & | subscript ()
const std::vector< Expr< SubscriptInteger > > & | cosubscript () const
std::vector< Expr< SubscriptInteger > > & | cosubscript ()
std::optional< Expr< SomeInteger > > | stat () const
CoarrayRef & | set_stat (Expr< SomeInteger > &&)
std::optional< Expr< SomeInteger > > | team () const
bool | teamIsTeamNumber () const
CoarrayRef & | set_team (Expr< SomeInteger > &&, bool isTeamNumber=false)
int | Rank () const
const Symbol & | GetFirstSymbol () const
const Symbol & | GetLastSymbol () const
NamedEntity | GetBase () const
std::optional< Expr< SubscriptInteger > > | LEN () const
bool | operator== (const CoarrayRef &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp